package com.goafanti.RD.bo;

import com.goafanti.common.constant.AFTConstants;
import com.goafanti.common.constant.ErrorConstants;
import com.goafanti.common.utils.Param;
import com.goafanti.common.utils.excel.Excel;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

public class InputExcelRdDetails  extends InputRdDetails{



    /**
     * 公司名称
     */
    @Excel(name="公司名称")
    private String userName;

    /**
     * 研发活动编号
     */
    @Excel(name="研发活动编号")
    private String rdNo;

    /**
     * 知识产权编号
     */
    @Excel(name="知识产权编号")
    private String ipNo;

    /**
     * 发研活动名称
     */
    @Excel(name="研发活动名称")
    private String rdName;


    /**
     * 开始时间
     */
    @Excel(name="开始时间",dateFormat= AFTConstants.YYYYMMDD)
    private Date  rdStart;

    /**
     * 结束时间
     */
    @Excel(name="结束时间",dateFormat= AFTConstants.YYYYMMDD)
    private Date  rdEnd;


    /**
     * 技术领域
     */
    @Excel(name="技术领域")
    private String technicalField;

    /**
     * 技术来源
     */
    @Excel(name="技术来源")
    private String technologySource;

    /**
     * 研发经费总预算（万元）
     */
    @Excel(name="研发经费总预算（万元）")
    private BigDecimal totalAmount;

    /**
     * 研发经费近三年总支出（万元）
     */
    @Excel(name="研发经费近三年总支出（万元）")
    private BigDecimal recentThreeAmount;

    /**
     * 研发目的及组织实施方式
     */
    @Excel(name="研发目的及组织实施方式")
    private String rdObjective;

    /**
     * 核心技术及创新点
     */
    @Excel(name="核心技术及创新点")
    private String coreTechnology;

    /**
     * 取得的创段性成果
     */
    @Excel(name="取得的创段性成果")
    private String achieveResults;


    /**
     * 咨询师名称
     */
    @Excel(name="咨询师名称")
    private String consultantName;


    @Override
    public String getUserName() {
        return userName;
    }

    @Override
    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String getRdNo() {
        return rdNo;
    }

    @Override
    public void setRdNo(String rdNo) {
        this.rdNo = rdNo;
    }

    @Override
    public String getIpNo() {
        return ipNo;
    }

    @Override
    public void setIpNo(String ipNo) {
        this.ipNo = ipNo;
    }

    @Override
    public String getRdName() {
        return rdName;
    }

    @Override
    public void setRdName(String rdName) {
        this.rdName = rdName;
    }

    @Override
    public Date getRdStart() {
        return rdStart;
    }

    @Override
    public void setRdStart(Date rdStart) {
        this.rdStart = rdStart;
    }

    @Override
    public Date getRdEnd() {
        return rdEnd;
    }

    @Override
    public void setRdEnd(Date rdEnd) {
        this.rdEnd = rdEnd;
    }

    @Override
    public String getTechnicalField() {
        return technicalField;
    }

    @Override
    public void setTechnicalField(String technicalField) {
        this.technicalField = technicalField;
    }

    @Override
    public String getTechnologySource() {
        return technologySource;
    }

    @Override
    public void setTechnologySource(String technologySource) {
        this.technologySource = technologySource;
    }

    @Override
    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    @Override
    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    @Override
    public BigDecimal getRecentThreeAmount() {
        return recentThreeAmount;
    }

    @Override
    public void setRecentThreeAmount(BigDecimal recentThreeAmount) {
        this.recentThreeAmount = recentThreeAmount;
    }

    @Override
    public String getRdObjective() {
        return rdObjective;
    }

    @Override
    public void setRdObjective(String rdObjective) {
        this.rdObjective = rdObjective;
    }

    @Override
    public String getCoreTechnology() {
        return coreTechnology;
    }

    @Override
    public void setCoreTechnology(String coreTechnology) {
        this.coreTechnology = coreTechnology;
    }

    @Override
    public String getAchieveResults() {
        return achieveResults;
    }

    @Override
    public void setAchieveResults(String achieveResults) {
        this.achieveResults = achieveResults;
    }

    @Override
    public String getConsultantName() {
        return consultantName;
    }

    @Override
    public void setConsultantName(String consultantName) {
        this.consultantName = consultantName;
    }
}
